---
schema:
  procedures: {}
  tables:
    equipment:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
      fields:
        uuid:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices: []
      name: equipment
      options: []
      order: 1
    equipment_items:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - kind
            - equipment
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - equipment
          match_type: ''
          name: equipment_items_fk_equipment
          on_delete: CASCADE
          on_update: CASCADE
          options: []
          reference_fields:
            - uuid
          reference_table: equipment
          type: FOREIGN KEY
      fields:
        equipment:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: equipment
          order: 2
          size:
            - 0
        identifier:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: identifier
          order: 3
          size:
            - 0
        kind:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: kind
          order: 1
          size:
            - 0
        quantity:
          data_type: Integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: quantity
          order: 4
          size:
            - 0
      indices:
        - fields:
            - equipment
          name: equipment_items_idx_equipment
          options: []
          type: NORMAL
      name: equipment_items
      options: []
      order: 6
    inventories:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
      fields:
        uuid:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices: []
      name: inventories
      options: []
      order: 2
    inventory_items:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - inventory
          match_type: ''
          name: inventory_items_fk_inventory
          on_delete: CASCADE
          on_update: CASCADE
          options: []
          reference_fields:
            - uuid
          reference_table: inventories
          type: FOREIGN KEY
      fields:
        identifier:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: identifier
          order: 3
          size:
            - 0
        inventory:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: inventory
          order: 2
          size:
            - 0
        quantity:
          data_type: Integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: quantity
          order: 4
          size:
            - 0
        uuid:
          data_type: uuid
          default_value: !!perl/ref
            =: uuid_generate_v4()
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices:
        - fields:
            - inventory
          name: inventory_items_idx_inventory
          options: []
          type: NORMAL
      name: inventory_items
      options: []
      order: 7
    player_companion_npcs:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - equipment
          match_type: ''
          name: player_companion_npcs_fk_equipment
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: equipment
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - inventory
          match_type: ''
          name: player_companion_npcs_fk_inventory
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: inventories
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - owner
          match_type: ''
          name: player_companion_npcs_fk_owner
          on_delete: CASCADE
          on_update: CASCADE
          options: []
          reference_fields:
            - uuid
          reference_table: player_pjs
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - skills
          match_type: ''
          name: player_companion_npcs_fk_skills
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: skill_like_lists
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - spells
          match_type: ''
          name: player_companion_npcs_fk_spells
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: skill_like_lists
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - stats
          match_type: ''
          name: player_companion_npcs_fk_stats
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: stats
          type: FOREIGN KEY
      fields:
        equipment:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: equipment
          order: 8
          size:
            - 0
        exp:
          data_type: integer
          default_value: !!perl/ref
            =: 1
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: exp
          order: 7
          size:
            - 0
        identifier:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: identifier
          order: 3
          size:
            - 0
        inventory:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: inventory
          order: 12
          size:
            - 0
        level:
          data_type: integer
          default_value: !!perl/ref
            =: 1
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: level
          order: 6
          size:
            - 0
        nick:
          data_type: text
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: nick
          order: 4
          size:
            - 0
        owner:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: owner
          order: 2
          size:
            - 0
        race:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: race
          order: 5
          size:
            - 0
        skills:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: skills
          order: 10
          size:
            - 0
        spells:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: spells
          order: 11
          size:
            - 0
        stats:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: stats
          order: 9
          size:
            - 0
        uuid:
          data_type: uuid
          default_value: !!perl/ref
            =: uuid_generate_v4()
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices:
        - fields:
            - equipment
          name: player_companion_npcs_idx_equipment
          options: []
          type: NORMAL
        - fields:
            - inventory
          name: player_companion_npcs_idx_inventory
          options: []
          type: NORMAL
        - fields:
            - owner
          name: player_companion_npcs_idx_owner
          options: []
          type: NORMAL
        - fields:
            - skills
          name: player_companion_npcs_idx_skills
          options: []
          type: NORMAL
        - fields:
            - spells
          name: player_companion_npcs_idx_spells
          options: []
          type: NORMAL
        - fields:
            - stats
          name: player_companion_npcs_idx_stats
          options: []
          type: NORMAL
      name: player_companion_npcs
      options: []
      order: 11
    player_pjs:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - equipment
          match_type: ''
          name: player_pjs_fk_equipment
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: equipment
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - inventory
          match_type: ''
          name: player_pjs_fk_inventory
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: inventories
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - owner
          match_type: ''
          name: player_pjs_fk_owner
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: players
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - skills
          match_type: ''
          name: player_pjs_fk_skills
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: skill_like_lists
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - spells
          match_type: ''
          name: player_pjs_fk_spells
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: skill_like_lists
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - stats
          match_type: ''
          name: player_pjs_fk_stats
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: stats
          type: FOREIGN KEY
        - deferrable: 1
          expression: ''
          fields:
            - team
          match_type: ''
          name: player_pjs_fk_team
          on_delete: CASCADE
          on_update: CASCADE
          options: []
          reference_fields:
            - uuid
          reference_table: teams
          type: FOREIGN KEY
      fields:
        creation_date:
          data_type: timestamp
          default_value: !!perl/ref
            =: NOW()
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: creation_date
          order: 8
          size:
            - 0
        equipment:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: equipment
          order: 12
          size:
            - 0
        exp:
          data_type: integer
          default_value: !!perl/ref
            =: 1
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: exp
          order: 11
          size:
            - 0
        full_name:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: full_name
          order: 3
          size:
            - 0
        inventory:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: inventory
          order: 16
          size:
            - 0
        last_activity:
          data_type: timestamp
          default_value: !!perl/ref
            =: NOW()
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: last_activity
          order: 9
          size:
            - 0
        level:
          data_type: integer
          default_value: !!perl/ref
            =: 1
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: level
          order: 10
          size:
            - 0
        nick:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: nick
          order: 5
          size:
            - 0
        owner:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: owner
          order: 2
          size:
            - 0
        race:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: race
          order: 6
          size:
            - 0
        short_name:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: short_name
          order: 4
          size:
            - 0
        skills:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: skills
          order: 14
          size:
            - 0
        spells:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: spells
          order: 15
          size:
            - 0
        stats:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: stats
          order: 13
          size:
            - 0
        team:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: team
          order: 7
          size:
            - 0
        uuid:
          data_type: uuid
          default_value: !!perl/ref
            =: uuid_generate_v4()
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices:
        - fields:
            - equipment
          name: player_pjs_idx_equipment
          options: []
          type: NORMAL
        - fields:
            - inventory
          name: player_pjs_idx_inventory
          options: []
          type: NORMAL
        - fields:
            - owner
          name: player_pjs_idx_owner
          options: []
          type: NORMAL
        - fields:
            - skills
          name: player_pjs_idx_skills
          options: []
          type: NORMAL
        - fields:
            - spells
          name: player_pjs_idx_spells
          options: []
          type: NORMAL
        - fields:
            - stats
          name: player_pjs_idx_stats
          options: []
          type: NORMAL
        - fields:
            - team
          name: player_pjs_idx_team
          options: []
          type: NORMAL
      name: player_pjs
      options: []
      order: 10
    players:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - email
          match_type: ''
          name: unique_constraint_email
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: UNIQUE
        - deferrable: 1
          expression: ''
          fields:
            - username
          match_type: ''
          name: unique_constraint_username
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: UNIQUE
      fields:
        email:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 1
          name: email
          order: 4
          size:
            - 0
        encrypted_password:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: encrypted_password
          order: 3
          size:
            - 0
        last_activity:
          data_type: timestamp
          default_value: !!perl/ref
            =: NOW()
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: last_activity
          order: 8
          size:
            - 0
        register_date:
          data_type: timestamp
          default_value: !!perl/ref
            =: NOW()
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: register_date
          order: 7
          size:
            - 0
        username:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 1
          name: username
          order: 2
          size:
            - 0
        uuid:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
        verification_token:
          data_type: text
          default_value: ~
          is_nullable: 1
          is_primary_key: 0
          is_unique: 0
          name: verification_token
          order: 6
          size:
            - 0
        verified:
          data_type: boolean
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: verified
          order: 5
          size:
            - 0
      indices: []
      name: players
      options: []
      order: 3
    skill_like_items:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - identifier
            - owner_list
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - owner_list
          match_type: ''
          name: skill_like_items_fk_owner_list
          on_delete: CASCADE
          on_update: CASCADE
          options: []
          reference_fields:
            - uuid
          reference_table: skill_like_lists
          type: FOREIGN KEY
      fields:
        identifier:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: identifier
          order: 1
          size:
            - 0
        level:
          data_type: integer
          default_value: !!perl/ref
            =: 1
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: level
          order: 3
          size:
            - 0
        owner_list:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: owner_list
          order: 2
          size:
            - 0
      indices:
        - fields:
            - owner_list
          name: skill_like_items_idx_owner_list
          options: []
          type: NORMAL
      name: skill_like_items
      options: []
      order: 8
    skill_like_lists:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
      fields:
        uuid:
          data_type: uuid
          default_value: !!perl/ref
            =: uuid_generate_v4()
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices: []
      name: skill_like_lists
      options: []
      order: 4
    stats:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
      fields:
        charisma:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: charisma
          order: 9
          size:
            - 0
        health:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: health
          order: 2
          size:
            - 0
        intelligence:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: intelligence
          order: 8
          size:
            - 0
        magic:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: magic
          order: 6
          size:
            - 0
        mana:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: mana
          order: 3
          size:
            - 0
        resistance:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: resistance
          order: 5
          size:
            - 0
        speed:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: speed
          order: 7
          size:
            - 0
        strength:
          data_type: integer
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: strength
          order: 4
          size:
            - 0
        uuid:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices: []
      name: stats
      options: []
      order: 5
    teams:
      constraints:
        - deferrable: 1
          expression: ''
          fields:
            - uuid
          match_type: ''
          name: ''
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: PRIMARY KEY
        - deferrable: 1
          expression: ''
          fields:
            - name
          match_type: ''
          name: u_name
          on_delete: ''
          on_update: ''
          options: []
          reference_fields: []
          reference_table: ''
          type: UNIQUE
        - deferrable: 1
          expression: ''
          fields:
            - leader
          match_type: ''
          name: teams_fk_leader
          on_delete: ''
          on_update: ''
          options: []
          reference_fields:
            - uuid
          reference_table: player_pjs
          type: FOREIGN KEY
      fields:
        area:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: area
          order: 6
          size:
            - 0
        leader:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: leader
          order: 2
          size:
            - 0
        location:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: location
          order: 7
          size:
            - 0
        name:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 1
          name: name
          order: 3
          size:
            - 0
        planet:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: planet
          order: 4
          size:
            - 0
        super_area:
          data_type: text
          default_value: ~
          is_nullable: 0
          is_primary_key: 0
          is_unique: 0
          name: super_area
          order: 5
          size:
            - 0
        uuid:
          data_type: uuid
          default_value: ~
          is_nullable: 0
          is_primary_key: 1
          is_unique: 0
          name: uuid
          order: 1
          size:
            - 0
      indices:
        - fields:
            - leader
          name: teams_idx_leader
          options: []
          type: NORMAL
      name: teams
      options: []
      order: 9
  triggers: {}
  views: {}
translator:
  add_drop_table: 0
  filename: ~
  no_comments: 0
  parser_args:
    sources:
      - CompanionNPC
      - Equipment
      - EquipmentItem
      - Inventory
      - InventoryItem
      - PJ
      - Player
      - SkillLikeItem
      - SkillLikeList
      - Stats
      - Team
  parser_type: SQL::Translator::Parser::DBIx::Class
  producer_args: {}
  producer_type: SQL::Translator::Producer::YAML
  show_warnings: 0
  trace: 0
  version: 1.63
